FOPTION(1)

NAME
foption - determine available floating-point code generation options

SYNOPSIS
foption [ -ftype ]

AVAILABILITY
This command is not available for the Sun386i.

DESCRIPTION

foption has two uses. Called without an argument, it sends a string to standard output which is the compiler floating-point option corresponding to the type of floating-point hardware that would be used by a program compiled with -fswitch. Exit status is undefined. This usage is intended for interactively determining available floating-point hardware. On systems without floating-point hardware, the result would be

    example% foption
    soft

corresponding to the compiler option -fsoft.

Called with an argument which is one of the compiler floating-point options -ffpa, -f68881, -fsoft, or -fswitch, it produces no output but returns exit status 0 (true) if a program compiled with that option could execute on this machine, and status 1 (false) otherwise. Thus foption -fsoft and foption -fswitch always produce exit status 0. This usage is intended for shell scripts and Makefiles that, for instance, select different executable files or link with different libraries according to the floating-point hardware present.

foption is undefined on Sun-4 systems since there are no floating-point code generation options.

OPTIONS

-ftype
    Return exit status 0 if a program compiled -ftype could execute on this machine.

SEE ALSO
cc(1V), fpaversion(8), mc68881version(8)